Showroom Mobile Banking - Bug #13832

IB - Multi language support
23 June 2022 11:32 AM - chok yee fan

Status: Closed Start date: 23 June 2022

Priority: Normal Due date:

Assignee: Hoo Dextor % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

add selection at login page (Could refer other website where to put)
EN | CN

Use translate to change the language. Currently default is en (English), it will load from en.jon, now need to add the zh-CN
(Mandarin) mean need to create zh-CN.json

Before create the json, have to make sure all the message is from en.json, mean from the code point of view is like this
{{'example'|translate}}. If not have to put it inside the en.json

History

#1 - 04 July 2022 09:35 AM - yongi yonqi
- Status changed from New to Resolved

- Assignee changed from yongqi yongqi to Hoo Dextor

Revision: 217792

Author: yongqi

Date: Friday, July 1, 2022 9:31 AM

Message:

yongi - Bug #13832 IB - Multi language support (add selection at login page, add zh-CN.json)

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/login-ant-design/login-ant-design.co
mponent.html

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/login-ant-design/login-ant-design.co
mponent.scss

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/login-ant-design/login-ant-design.co
mponent.ts

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web.constants.ts
Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

Added : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/zh-CN.json

Revision: 217809

Author: yongi

Date: Monday, July 4, 2022 9:22 AM

Message:

yongi - Bug #13832 IB - Multi language support

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/login-ant-design/login-ant-design.co
mponent.html

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/login-ant-design/login-ant-design.co
mponent.ts

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/zh-CN.json
https://dev.silverlakemobility.com/redmine/issues/13832
https://dev.silverlakemobility.com/redmine/issues/13832

#2 - 13 July 2022 02:36 PM - Wee Meng Soh
- Status changed from Resolved to Pending SIT

#3 - 11 September 2023 10:17 AM - Hoo Dextor
- Status changed from Pending SIT to Closed
